package com.ruoyi.system.mapper.zb;


import com.ruoyi.system.domain.zb.ZbReportRecord;
import com.ruoyi.system.domain.zb.ZbReportRecordExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ZbReportRecordMapper {
    long countByExample(ZbReportRecordExample example);

    int deleteByExample(ZbReportRecordExample example);

    int deleteByPrimaryKey(String id);

    int insert(ZbReportRecord record);

    int insertSelective(ZbReportRecord record);

    List<ZbReportRecord> selectByExampleWithBLOBs(ZbReportRecordExample example);

    List<ZbReportRecord> selectByExample(ZbReportRecordExample example);

    ZbReportRecord selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") ZbReportRecord record, @Param("example") ZbReportRecordExample example);

    int updateByExampleWithBLOBs(@Param("record") ZbReportRecord record, @Param("example") ZbReportRecordExample example);

    int updateByExample(@Param("record") ZbReportRecord record, @Param("example") ZbReportRecordExample example);

    int updateByPrimaryKeySelective(ZbReportRecord record);

    int updateByPrimaryKeyWithBLOBs(ZbReportRecord record);

    int updateByPrimaryKey(ZbReportRecord record);
}